package de.devloop.mavor;

import java.util.Objects;

public class Configuration {

    private static final String ENV_MAVEN_EXECUTABLE = "MAVOR_MAVEN_EXECUTABLE";
    private static final String ENV_TEMP_DIR = "MAVOR_TEMP_DIR";

    private final String mavenExecutable = Objects.requireNonNull(System.getProperty(ENV_MAVEN_EXECUTABLE));
    private final String tempDir = Objects.requireNonNull(System.getProperty(ENV_TEMP_DIR));

    public String getMavenExecutable() {
        return mavenExecutable;
    }

    public String getTempDir() {
        return tempDir;
    }
}
